| Home | Libraries | People | FAQ | More

#### subtract_value

Subtracts the same value to each coordinate of a point.

###### Synopsis

    template<typename Point>
    void subtract_value(Point & p, typename coordinate_type< Point >::type const & value)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Point & | Any type fulfilling a Point Concept | p | point
typename coordinate_type< Point >::type const & |  | value | value to subtract

###### Header

Either

`#include <boost/geometry.hpp>`

Or

`#include <boost/geometry/arithmetic/arithmetic.hpp>`